settings
Update context tier settings
Superuser only.
PUT
/
api
/
settings
/
context-tiers
Update context tier settings
curl --request PUT \
--url https://free.app.nasiko.com/api/settings/context-tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compress_history": true,
"compress_min_bytes": 123,
"context_k": {
"high": 123,
"low": 123,
"medium": 123
},
"expected_updated_at": "2023-11-07T05:31:56Z",
"mandatory_recent": 123,
"pacms_budget": {
"high": 123,
"low": 123,
"medium": 123
},
"pool_size": 123
}
'import requests
url = "https://free.app.nasiko.com/api/settings/context-tiers"
payload = {
"compress_history": True,
"compress_min_bytes": 123,
"context_k": {
"high": 123,
"low": 123,
"medium": 123
},
"expected_updated_at": "2023-11-07T05:31:56Z",
"mandatory_recent": 123,
"pacms_budget": {
"high": 123,
"low": 123,
"medium": 123
},
"pool_size": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compress_history: true,
compress_min_bytes: 123,
context_k: {high: 123, low: 123, medium: 123},
expected_updated_at: '2023-11-07T05:31:56Z',
mandatory_recent: 123,
pacms_budget: {high: 123, low: 123, medium: 123},
pool_size: 123
})
};
fetch('https://free.app.nasiko.com/api/settings/context-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/settings/context-tiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'compress_history' => true,
'compress_min_bytes' => 123,
'context_k' => [
'high' => 123,
'low' => 123,
'medium' => 123
],
'expected_updated_at' => '2023-11-07T05:31:56Z',
'mandatory_recent' => 123,
'pacms_budget' => [
'high' => 123,
'low' => 123,
'medium' => 123
],
'pool_size' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/settings/context-tiers"
payload := strings.NewReader("{\n \"compress_history\": true,\n \"compress_min_bytes\": 123,\n \"context_k\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"expected_updated_at\": \"2023-11-07T05:31:56Z\",\n \"mandatory_recent\": 123,\n \"pacms_budget\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"pool_size\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://free.app.nasiko.com/api/settings/context-tiers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"compress_history\": true,\n \"compress_min_bytes\": 123,\n \"context_k\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"expected_updated_at\": \"2023-11-07T05:31:56Z\",\n \"mandatory_recent\": 123,\n \"pacms_budget\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"pool_size\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/settings/context-tiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"compress_history\": true,\n \"compress_min_bytes\": 123,\n \"context_k\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"expected_updated_at\": \"2023-11-07T05:31:56Z\",\n \"mandatory_recent\": 123,\n \"pacms_budget\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"pool_size\": 123\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
Saved; the tier values after the write
⌘I
Update context tier settings
curl --request PUT \
--url https://free.app.nasiko.com/api/settings/context-tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compress_history": true,
"compress_min_bytes": 123,
"context_k": {
"high": 123,
"low": 123,
"medium": 123
},
"expected_updated_at": "2023-11-07T05:31:56Z",
"mandatory_recent": 123,
"pacms_budget": {
"high": 123,
"low": 123,
"medium": 123
},
"pool_size": 123
}
'import requests
url = "https://free.app.nasiko.com/api/settings/context-tiers"
payload = {
"compress_history": True,
"compress_min_bytes": 123,
"context_k": {
"high": 123,
"low": 123,
"medium": 123
},
"expected_updated_at": "2023-11-07T05:31:56Z",
"mandatory_recent": 123,
"pacms_budget": {
"high": 123,
"low": 123,
"medium": 123
},
"pool_size": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compress_history: true,
compress_min_bytes: 123,
context_k: {high: 123, low: 123, medium: 123},
expected_updated_at: '2023-11-07T05:31:56Z',
mandatory_recent: 123,
pacms_budget: {high: 123, low: 123, medium: 123},
pool_size: 123
})
};
fetch('https://free.app.nasiko.com/api/settings/context-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/settings/context-tiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'compress_history' => true,
'compress_min_bytes' => 123,
'context_k' => [
'high' => 123,
'low' => 123,
'medium' => 123
],
'expected_updated_at' => '2023-11-07T05:31:56Z',
'mandatory_recent' => 123,
'pacms_budget' => [
'high' => 123,
'low' => 123,
'medium' => 123
],
'pool_size' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/settings/context-tiers"
payload := strings.NewReader("{\n \"compress_history\": true,\n \"compress_min_bytes\": 123,\n \"context_k\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"expected_updated_at\": \"2023-11-07T05:31:56Z\",\n \"mandatory_recent\": 123,\n \"pacms_budget\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"pool_size\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://free.app.nasiko.com/api/settings/context-tiers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"compress_history\": true,\n \"compress_min_bytes\": 123,\n \"context_k\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"expected_updated_at\": \"2023-11-07T05:31:56Z\",\n \"mandatory_recent\": 123,\n \"pacms_budget\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"pool_size\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/settings/context-tiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"compress_history\": true,\n \"compress_min_bytes\": 123,\n \"context_k\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"expected_updated_at\": \"2023-11-07T05:31:56Z\",\n \"mandatory_recent\": 123,\n \"pacms_budget\": {\n \"high\": 123,\n \"low\": 123,\n \"medium\": 123\n },\n \"pool_size\": 123\n}"
response = http.request(request)
puts response.read_body